summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorSotirios Roussis2017-05-07 17:28:16 +0300
committerSotirios Roussis2017-05-07 17:28:16 +0300
commitcb85c1cda7eab67ffabda5f531b24df4b329ca13 (patch)
treed8981b0df82b2073dc02f3970526e8039fd914b6 /PKGBUILD
parent23c7204e6bb4a22ecf19af3741b502828450e230 (diff)
downloadaur-cb85c1cda7eab67ffabda5f531b24df4b329ca13.tar.gz
VCS guidelines
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD37
1 files changed, 20 insertions, 17 deletions
diff --git a/PKGBUILD b/PKGBUILD
index 9bc69c4b9d4..2e0b08a5588 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -2,8 +2,8 @@
_pkgname=airgeddon
pkgname=$_pkgname-git
-pkgver=17.f99914e
-pkgrel=11
+pkgver=r18.23c7204
+pkgrel=12
pkgdesc='This is a multi-use bash script for Linux systems to audit wireless networks'
url='https://github.com/v1s1t0r1sh3r3/airgeddon'
license=('GPL3')
@@ -51,22 +51,25 @@ sha256sums=('SKIP')
arch=('any')
prepare() {
- if [ -d "${srcdir}/${pkgname}" ]; then
- rm -rf "${srcdir}/${pkgname}"
+ if [ -d "$srcdir/$pkgname" ]; then
+ rm -rf "$srcdir/$pkgname"
fi
- mkdir -p "${srcdir}/${pkgname}"
- cd "${srcdir}/${pkgname}"
+ mkdir -p "$srcdir/$pkgname"
+ cd "$srcdir/$pkgname"
}
pkgver() {
- cd "${srcdir}/${_pkgname}"
+ cd "$srcdir/$_pkgname"
- echo "$(git rev-list --count HEAD)"."$(git rev-parse --short HEAD)"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
}
prepare() {
- cd "${srcdir}/${_pkgname}"
+ cd "$srcdir/$_pkgname"
echo " .-\"\"\"\"-."
echo " / \\"
@@ -84,25 +87,25 @@ prepare() {
}
package() {
- cd "${srcdir}/${_pkgname}"
+ cd "$srcdir/$_pkgname"
- mkdir -p "${pkgdir}/usr/bin"
- mkdir -p "${pkgdir}/usr/share/airgeddon"
+ mkdir -p "$pkgdir/usr/bin"
+ mkdir -p "$pkgdir/usr/share/airgeddon"
- install -Dm644 -t "${pkgdir}/usr/share/doc/airgeddon/" README.md CHANGELOG.md
- install -Dm644 LICENSE.md "${pkgdir}/usr/share/licenses/airgeddon/LICENSE.md"
+ install -Dm644 -t "$pkgdir/usr/share/doc/airgeddon/" README.md CHANGELOG.md
+ install -Dm644 LICENSE.md "$pkgdir/usr/share/licenses/airgeddon/LICENSE.md"
rm -rf *.md .git* binaries imgs Dockerfile pindb_checksum.txt
- cp -a --no-preserve=ownership * "${pkgdir}/usr/share/airgeddon"
+ cp -a --no-preserve=ownership * "$pkgdir/usr/share/airgeddon"
- cat > "${pkgdir}/usr/bin/airgeddon" << EOF
+ cat > "$pkgdir/usr/bin/airgeddon" << EOF
#!/bin/sh
cd /usr/share/airgeddon
exec bash airgeddon.sh "\${@}"
EOF
- chmod a+x "${pkgdir}/usr/bin/airgeddon"
+ chmod a+x "$pkgdir/usr/bin/airgeddon"
}
# vim: ts=2 sw=2 et: